package hmggirlfront;

import gvclib.item.ItemArmor_NewObj;
import net.minecraft.init.SoundEvents;
import net.minecraft.inventory.EntityEquipmentSlot;
import net.minecraft.item.Item;
import net.minecraft.util.ResourceLocation;
import net.minecraftforge.common.util.EnumHelper;
import net.minecraftforge.event.RegistryEvent;
import objmodel.AdvancedModelLoader;

public class GFItemRegistry3 {
	public static void registry(mod_GirlFront mod, RegistryEvent.Register<Item> event){
		{
			 mod.armor_gk_uniform = EnumHelper.addArmorMaterial("gk_uniform", "hmggirlfront:textures/armor/armor_gk_uniform.png", 
					 2000, new int[] {1, 2, 3, 1}, 15, SoundEvents.ITEM_ARMOR_EQUIP_LEATHER, 0.0F);
			 {
				 mod.armor_gk_uniform_head	= new ItemArmor_NewObj(mod.armor_gk_uniform, EntityEquipmentSlot.HEAD)
				    		.setUnlocalizedName("armor_gk_uniform_head").setRegistryName(mod.MOD_ID, "armor_gk_uniform_head").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_gk_uniform_head;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_gk_uniform.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_gk_uniform.png";
				    }
				    event.getRegistry().register(mod.armor_gk_uniform_head);
			 }
			 {
				 mod.armor_gk_uniform_chest	= new ItemArmor_NewObj(mod.armor_gk_uniform, EntityEquipmentSlot.CHEST)
				    		.setUnlocalizedName("armor_gk_uniform_chest").setRegistryName(mod.MOD_ID, "armor_gk_uniform_chest").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_gk_uniform_chest;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_gk_uniform.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_gk_uniform.png";
				    }
				    event.getRegistry().register(mod.armor_gk_uniform_chest);
			 }
			 {
				 mod.armor_gk_uniform_legs	= new ItemArmor_NewObj(mod.armor_gk_uniform, EntityEquipmentSlot.LEGS)
				    		.setUnlocalizedName("armor_gk_uniform_legs").setRegistryName(mod.MOD_ID, "armor_gk_uniform_legs").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_gk_uniform_legs;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_gk_uniform.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_gk_uniform.png";
				    }
				    event.getRegistry().register(mod.armor_gk_uniform_legs);
			 }
			 {
				 mod.armor_gk_uniform_feet	= new ItemArmor_NewObj(mod.armor_gk_uniform, EntityEquipmentSlot.FEET)
				    		.setUnlocalizedName("armor_gk_uniform_feet").setRegistryName(mod.MOD_ID, "armor_gk_uniform_feet").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_gk_uniform_feet;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_gk_uniform.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_gk_uniform.png";
				    }
				    event.getRegistry().register(mod.armor_gk_uniform_feet);
			 }
			
		}
		{
			 mod.pmc_armor = EnumHelper.addArmorMaterial("pmc", "hmggirlfront:textures/armor/armor_pmc.png", 
					 2000, new int[] {2, 5, 6, 2}, 10, SoundEvents.ITEM_ARMOR_EQUIP_IRON, 2.0F);
			 {
				 mod.armor_pmc_head	= new ItemArmor_NewObj(mod.pmc_armor, EntityEquipmentSlot.HEAD)
				    		.setUnlocalizedName("armor_pmc_head").setRegistryName(mod.MOD_ID, "armor_pmc_head").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_pmc_head;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_pmc.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_pmc.png";
				    }
				    event.getRegistry().register(mod.armor_pmc_head);
			 }
			 {
				 mod.armor_pmc_chest	= new ItemArmor_NewObj(mod.pmc_armor, EntityEquipmentSlot.CHEST)
				    		.setUnlocalizedName("armor_pmc_chest").setRegistryName(mod.MOD_ID, "armor_pmc_chest").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_pmc_chest;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_pmc.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_pmc.png";
				    }
				    event.getRegistry().register(mod.armor_pmc_chest);
			 }
			 {
				 mod.armor_pmc_legs	= new ItemArmor_NewObj(mod.pmc_armor, EntityEquipmentSlot.LEGS)
				    		.setUnlocalizedName("armor_pmc_legs").setRegistryName(mod.MOD_ID, "armor_pmc_legs").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_pmc_legs;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_pmc.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_pmc.png";
				    }
				    event.getRegistry().register(mod.armor_pmc_legs);
			 }
			 {
				 mod.armor_pmc_feet	= new ItemArmor_NewObj(mod.pmc_armor, EntityEquipmentSlot.FEET)
				    		.setUnlocalizedName("armor_pmc_feet").setRegistryName(mod.MOD_ID, "armor_pmc_feet").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_pmc_feet;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_pmc.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_pmc.png";
				    }
				    event.getRegistry().register(mod.armor_pmc_feet);
			 }
			
		}
		{
			 mod.anticollapse_armor = EnumHelper.addArmorMaterial("anticollapse", "hmggirlfront:textures/armor/armor_anticollapse.png", 
					 2000, new int[] {2, 5, 6, 2}, 10, SoundEvents.ITEM_ARMOR_EQUIP_IRON, 2.0F);
			 {
				 mod.armor_anticollapse_head	= new ItemArmor_NewObj(mod.anticollapse_armor, EntityEquipmentSlot.HEAD)
				    		.setUnlocalizedName("armor_anticollapse_head").setRegistryName(mod.MOD_ID, "armor_anticollapse_head").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_anticollapse_head;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_anticollapse.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_anticollapse.png";
				    }
				    event.getRegistry().register(mod.armor_anticollapse_head);
			 }
			 {
				 mod.armor_anticollapse_chest	= new ItemArmor_NewObj(mod.anticollapse_armor, EntityEquipmentSlot.CHEST)
				    		.setUnlocalizedName("armor_anticollapse_chest").setRegistryName(mod.MOD_ID, "armor_anticollapse_chest").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_anticollapse_chest;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_anticollapse.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_anticollapse.png";
				    }
				    event.getRegistry().register(mod.armor_anticollapse_chest);
			 }
			 {
				 mod.armor_anticollapse_legs	= new ItemArmor_NewObj(mod.anticollapse_armor, EntityEquipmentSlot.LEGS)
				    		.setUnlocalizedName("armor_anticollapse_legs").setRegistryName(mod.MOD_ID, "armor_anticollapse_legs").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_anticollapse_legs;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_anticollapse.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_anticollapse.png";
				    }
				    event.getRegistry().register(mod.armor_anticollapse_legs);
			 }
			 {
				 mod.armor_anticollapse_feet	= new ItemArmor_NewObj(mod.anticollapse_armor, EntityEquipmentSlot.FEET)
				    		.setUnlocalizedName("armor_anticollapse_feet").setRegistryName(mod.MOD_ID, "armor_anticollapse_feet").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_anticollapse_feet;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_anticollapse.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_anticollapse.png";
				    }
				    event.getRegistry().register(mod.armor_anticollapse_feet);
			 }
			
		}
		{
			 mod.army_h = EnumHelper.addArmorMaterial("army_h", "hmggirlfront:textures/armor/armor_army_h.png", 
					 2000, new int[] {3, 8, 10, 3}, 10, SoundEvents.ITEM_ARMOR_EQUIP_IRON, 2.0F);
			 {
				 mod.armor_army_h_head	= new ItemArmor_NewObj(mod.army_h, EntityEquipmentSlot.HEAD)
				    		.setUnlocalizedName("armor_army_h_head").setRegistryName(mod.MOD_ID, "armor_army_h_head").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_army_h_head;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_army_h.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_army_h.png";
				    }
				    event.getRegistry().register(mod.armor_army_h_head);
			 }
			 {
				 mod.armor_army_h_chest	= new ItemArmor_NewObj(mod.army_h, EntityEquipmentSlot.CHEST)
				    		.setUnlocalizedName("armor_army_h_chest").setRegistryName(mod.MOD_ID, "armor_army_h_chest").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_army_h_chest;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_army_h.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_army_h.png";
				    }
				    event.getRegistry().register(mod.armor_army_h_chest);
			 }
			 {
				 mod.armor_army_h_legs	= new ItemArmor_NewObj(mod.army_h, EntityEquipmentSlot.LEGS)
				    		.setUnlocalizedName("armor_army_h_legs").setRegistryName(mod.MOD_ID, "armor_army_h_legs").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_army_h_legs;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_army_h.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_army_h.png";
				    }
				    event.getRegistry().register(mod.armor_army_h_legs);
			 }
			 {
				 mod.armor_army_h_feet	= new ItemArmor_NewObj(mod.army_h, EntityEquipmentSlot.FEET)
				    		.setUnlocalizedName("armor_army_h_feet").setRegistryName(mod.MOD_ID, "armor_army_h_feet").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_army_h_feet;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_army_h.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_army_h.png";
				    }
				    event.getRegistry().register(mod.armor_army_h_feet);
			 }
			
		}
		{
			 mod.army_m = EnumHelper.addArmorMaterial("army_m", "hmggirlfront:textures/armor/armor_army_m.png", 
					 2000, new int[] {3, 6, 8, 3}, 10, SoundEvents.ITEM_ARMOR_EQUIP_IRON, 2.0F);
			 {
				 mod.armor_army_m_head	= new ItemArmor_NewObj(mod.army_m, EntityEquipmentSlot.HEAD)
				    		.setUnlocalizedName("armor_army_m_head").setRegistryName(mod.MOD_ID, "armor_army_m_head").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_army_m_head;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_army_m.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_army_m.png";
				    }
				    event.getRegistry().register(mod.armor_army_m_head);
			 }
			 {
				 mod.armor_army_m_chest	= new ItemArmor_NewObj(mod.army_m, EntityEquipmentSlot.CHEST)
				    		.setUnlocalizedName("armor_army_m_chest").setRegistryName(mod.MOD_ID, "armor_army_m_chest").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_army_m_chest;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_army_m.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_army_m.png";
				    }
				    event.getRegistry().register(mod.armor_army_m_chest);
			 }
			 {
				 mod.armor_army_m_legs	= new ItemArmor_NewObj(mod.army_m, EntityEquipmentSlot.LEGS)
				    		.setUnlocalizedName("armor_army_m_legs").setRegistryName(mod.MOD_ID, "armor_army_m_legs").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_army_m_legs;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_army_m.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_army_m.png";
				    }
				    event.getRegistry().register(mod.armor_army_m_legs);
			 }
			 {
				 mod.armor_army_m_feet	= new ItemArmor_NewObj(mod.army_m, EntityEquipmentSlot.FEET)
				    		.setUnlocalizedName("armor_army_m_feet").setRegistryName(mod.MOD_ID, "armor_army_m_feet").setCreativeTab(mod.tabgg);
				    {
				    	ItemArmor_NewObj armor = (ItemArmor_NewObj)mod. armor_army_m_feet;
				    	if (mod.proxy.getClient()) {
					    	armor.obj_model = AdvancedModelLoader.loadModel(new ResourceLocation("hmggirlfront:textures/armor/armor_army_m.mqo"));
					    	
					    }
				    	armor.obj_tex = "hmggirlfront:textures/armor/armor_army_m.png";
				    }
				    event.getRegistry().register(mod.armor_army_m_feet);
			 }
			
		}
		
		
		
		
		
		
		
	}//
}